passy Github contribution chart
passy Github Stats
passy Most Used Languages

Activity

30 Sep 2022

Passy

started

Started On 30 Sep 2022 at 07:32:39

Passy

started

Started On 18 Sep 2022 at 12:58:28

Passy

Add hcl

Pushed On 01 Sep 2022 at 10:59:52
Started

Passy

started

Started On 28 Aug 2022 at 01:44:06

Passy

started

Started On 23 Aug 2022 at 12:21:43
Pull Request

Passy

Automated: Update Podfile.lock

Created On 18 Aug 2022 at 04:49:36
Pull Request

Passy

Automated: Update Podfile.lock

Created On 18 Aug 2022 at 04:49:27
Pull Request

Passy

Automated: Update Podfile.lock

Created On 17 Aug 2022 at 10:46:00
Pull Request

Passy

Bump gradle from 7.0.4 to 7.2.2

Created On 17 Aug 2022 at 10:45:56
Issue Comment

Passy

Bump gradle from 7.0.4 to 7.2.2

Bumps gradle from 7.0.4 to 7.2.2.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

Forked On 17 Aug 2022 at 10:45:55

Passy

I don't know how that's possible but this still breaks our build.

Commented On 17 Aug 2022 at 10:45:55
Pull Request

Passy

Bump appcompat from 1.4.1 to 1.5.0

Created On 17 Aug 2022 at 10:43:42
Issue Comment

Passy

Bump appcompat from 1.4.1 to 1.5.0

Bumps appcompat from 1.4.1 to 1.5.0.

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

Forked On 17 Aug 2022 at 10:43:42

Passy

Incompatible with our build.

Commented On 17 Aug 2022 at 10:43:42

Passy

started

Started On 08 Aug 2022 at 04:16:23
Issue Comment

Passy

Discussion: Swift Package Manager Support

I have been looking to use Flipper for some time, but all of my team's dependencies are installed via Swift Package Manager, and so far Flipper is one of only 2 dependencies we have been looking to use that do not support it (the other being the Firebase SDK, which is currently working on SPM support).

The only information I've found for SPM support for Flipper is this old issue: #187 , which received very little response at the time.

Over the past few years SPM has become more and more the first class dependency manager for iOS, and it's generally expected that all libraries/tools support it.

Forked On 01 Aug 2022 at 11:36:28

Passy

We don't have any plans for this but if someone from the community would like to take the lead or do some exploration of what that would take, we'd totally be up for it.

Commented On 01 Aug 2022 at 11:36:28
Issue Comment

Passy

Tag sockets in FlipperSocketImpl

Summary

Resolves #3926. Open to suggestions on the tag value, just sort of picked one that could be pointed to for anyone that wants to track these in their apps.

Changelog

Tag sockets used by Flipper to fix strict mode warnings about untagged sockets.

Test Plan

Forked On 29 Jul 2022 at 05:47:49

Passy

So sorry for the delay, @ZacSweers! This looks good to me. I wasn't even aware of these new strict mode enforcements, so thanks for being proactive here.

Commented On 29 Jul 2022 at 05:47:49

Passy

started

Started On 29 Jul 2022 at 10:34:28

Passy

started

Started On 24 Jul 2022 at 06:24:43
Started

Passy

started

Started On 22 Jul 2022 at 11:15:45
Issue Comment

Passy

Update some welcome links

Summary

Some old welcome links are 'Page Not Found'.

Changelog

Some old links are 'Page Not Found', so update them as follows:

  1. Update "Using Flipper" link to 'https://fbflipper.com/docs/features'
  2. Update "Add Flipper Support to Your App" link to 'https://fbflipper.com/docs/getting-started'

Test Plan

Pass the test on a Mac.

Forked On 18 Jul 2022 at 04:42:48

Passy

Thank you!

Commented On 18 Jul 2022 at 04:42:48
Issue Comment

Passy

Update RN iOS setup to include RN 0.68 new Flipper initialization

Summary

When upgrading to RN 0.68, the upgrade helper removes the old Flipper initialization in favor of importing RCTAppSetupUtils which abstracts the Flipper initialization. To be consistent, we should show in the docs that for 0.68 the preferred way is to import RCTAppSetupUtils in the AppDelegate.

Changelog

  • RN iOS setup docs has been updated to include the new way to initialize Flipper on React Native 0.68.

Test Plan

Forked On 18 Jul 2022 at 04:42:31

Passy

Thank you!

Commented On 18 Jul 2022 at 04:42:31
Issue Comment

Passy

docs: remove duplicate guide info

Summary

Duplicate info seem to exist in the getting started guide

Changelog

Test Plan

Forked On 18 Jul 2022 at 04:42:09

Passy

Nice! Thanks for noticing this.

Commented On 18 Jul 2022 at 04:42:09